Jack::_packet_header Struct Reference

`#include <JackNetTool.h>`

## Public Attributes

char | fPacketType [8]
uint32_t | fDataType
uint32_t | fDataStream
uint32_t | fID
uint32_t | fNumPacket
uint32_t | fPacketSize
uint32_t | fActivePorts
uint32_t | fCycle
uint32_t | fSubCycle
int32_t | fFrames
uint32_t | fIsLastPckt

## Detailed Description

This structure is a complete header

A header indicates :

- it is a header
- the type of data the packet contains (sync, midi or audio)
- the path of the packet (send -master->slave- or return -slave->master-)
- the unique ID of the slave
- the sample's bitdepth (unused for now)
- the size of the midi data contains in the packet (indicates how much midi data will be sent)
- the number of midi packet(s) : more than one is very unusual, it depends on the midi load
- the ID of the current cycle (used to check missing packets)
- the ID of the packet subcycle (for audio data)
- a flag indicating this packet is the last of the cycle (for sync robustness, it's better to process this way)
- a flag indicating if, in async mode, the previous graph was not finished or not
- padding to fill 64 bytes

Definition at line 175 of file JackNetTool.h.

The documentation for this struct was generated from the following file:

- JackNetTool.h